define(["require", "exports", "../../../Styling", "../../../Utilities", "../BaseButton.styles"], function (require, exports, Styling_1, Utilities_1, BaseButton_styles_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var DEFAULT_BUTTON_HEIGHT = '32px';
    var DEFAULT_BUTTON_MINWIDTH = '80px';
    var DEFAULT_PADDING = '0 16px';
    exports.getStyles = Utilities_1.memoizeFunction(function (theme, customStyles, focusInset, focusColor) {
        var baseButtonStyles = BaseButton_styles_1.getStyles(theme, focusInset, focusColor);
        var defaultButtonStyles = {
            root: {
                minWidth: DEFAULT_BUTTON_MINWIDTH,
                height: DEFAULT_BUTTON_HEIGHT,
                backgroundColor: theme.palette.neutralLighter,
                color: theme.palette.neutralPrimary
            },
            rootHovered: {
                backgroundColor: theme.palette.neutralLight,
                color: theme.palette.black
            },
            rootPressed: {
                backgroundColor: theme.palette.themePrimary,
                color: theme.palette.white
            },
            rootChecked: {
                backgroundColor: theme.palette.themePrimary,
                color: theme.palette.white
            },
            label: {
                fontWeight: 'bold' // theme.fontWeights.semibold,
            }
        };
        return Styling_1.mergeStyleSets(baseButtonStyles, defaultButtonStyles, customStyles);
    });
});

//# sourceMappingURL=DefaultButton.styles.js.map
