define(["require", "exports", "../../../Styling", "../../../Utilities", "../DefaultButton/DefaultButton.styles"], function (require, exports, Styling_1, Utilities_1, DefaultButton_styles_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getStyles = Utilities_1.memoizeFunction(function (theme, customStyles) {
        var palette = theme.palette;
        var defaultButtonStyles = DefaultButton_styles_1.getStyles(theme, customStyles, '0px', palette.white);
        var primaryButtonStyles = {
            root: {
                backgroundColor: palette.themePrimary,
                color: palette.white
            },
            rootHovered: {
                backgroundColor: palette.themeDark,
                color: palette.white
            },
            rootPressed: {
                backgroundColor: palette.themePrimary,
                color: palette.white
            },
            rootChecked: {
                backgroundColor: palette.themeDark,
                color: palette.white,
            },
            rootCheckedHovered: {
                backgroundColor: theme.palette.neutralLight,
                color: theme.palette.black
            }
        };
        return Styling_1.mergeStyleSets(defaultButtonStyles, primaryButtonStyles, customStyles);
    });
});

//# sourceMappingURL=PrimaryButton.styles.js.map
