define(["require", "exports", "tslib", "react", "office-ui-fabric-react/lib/Dialog", "office-ui-fabric-react/lib/Button", "office-ui-fabric-react/lib/ChoiceGroup"], function (require, exports, tslib_1, React, Dialog_1, Button_1, ChoiceGroup_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var DialogBlockingExample = (function (_super) {
        tslib_1.__extends(DialogBlockingExample, _super);
        function DialogBlockingExample() {
            var _this = _super.call(this) || this;
            _this.state = {
                showDialog: false
            };
            return _this;
        }
        DialogBlockingExample.prototype.render = function () {
            return (React.createElement("div", null,
                React.createElement(Button_1.DefaultButton, { description: 'Opens the Sample Dialog', onClick: this._showDialog.bind(this), text: 'Open Dialog' }),
                React.createElement(Dialog_1.Dialog, { isOpen: this.state.showDialog, type: Dialog_1.DialogType.normal, onDismiss: this._closeDialog.bind(this), title: 'All emails together', subText: 'Your Inbox has changed. No longer does it include favorites, it is a singular destination for your emails.', isBlocking: true },
                    React.createElement(ChoiceGroup_1.ChoiceGroup, { options: [
                            {
                                key: 'A',
                                text: 'Option A'
                            },
                            {
                                key: 'B',
                                text: 'Option B',
                                checked: true
                            },
                            {
                                key: 'C',
                                text: 'Option C',
                                disabled: true
                            }
                        ], onChanged: this._onChoiceChanged }),
                    React.createElement(Dialog_1.DialogFooter, null,
                        React.createElement(Button_1.PrimaryButton, { onClick: this._closeDialog.bind(this), text: 'Save' }),
                        React.createElement(Button_1.DefaultButton, { onClick: this._closeDialog.bind(this), text: 'Cancel' })))));
        };
        DialogBlockingExample.prototype._showDialog = function () {
            this.setState({ showDialog: true });
        };
        DialogBlockingExample.prototype._closeDialog = function () {
            this.setState({ showDialog: false });
        };
        DialogBlockingExample.prototype._onChoiceChanged = function () {
            console.log('Choice option change');
        };
        return DialogBlockingExample;
    }(React.Component));
    exports.DialogBlockingExample = DialogBlockingExample;
});

//# sourceMappingURL=Dialog.Blocking.Example.js.map
